Name:           glest
Version:        2.0.0
Release:        5%{?dist}
Summary:        3D real time strategy game

Group:          Amusements/Games
License:        GPL
URL:            http://glest.org
Source0:        http://dl.sf.net/glest/glest_source_2.0.0.zip
Source1:        glest.sh
Patch0:         glest-2.0.0-unicode.patch
Patch1:         glest-2.0.0-gcc41.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jam, libX11-devel, SDL-devel, openal-devel, xerces-c-devel
BuildRequires:  libogg-devel, libvorbis-devel, autoconf, automake
BuildRequires:  desktop-file-utils

Requires:       glest-data = %{version}
# Used in the wrapper script
Requires:       glx-utils

# Does not work on PPC (see README.Linux). Bug 219540.
ExcludeArch:    ppc

%description
Glest is a free 3D real time strategy game, that can be modified
using XML and a set of tools.

Glest takes place in a context which could be compared to that of
the pre-renaissance Europe, with the licence that magic forces
exist in the environment and can be controlled.


%prep
%setup -q -n %{name}_source_%{version}
%patch0 -p1 -b .unicode
%patch1 -p1 -b .gcc41
find . -type f | xargs sed -i -e "s/\r//g" 
#find . -type f | while read file; do
#  grep -qs "\r\n" $file && dos2unix $file
#done


%build
cd mk/linux
#sed -i -e "s/\r//g" autogen.sh configure.ac glest.ini Jamfile Jamrules mk/jam/* mk/autoconf/*
chmod +x autogen.sh
./autogen.sh
%configure
#jam %{?_smp_mflags}
jam


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/glest
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glest
install -p -m 755 mk/linux/glest $RPM_BUILD_ROOT%{_libexecdir}/glest/
install -p -m 644 mk/linux/glest.ini $RPM_BUILD_ROOT%{_datadir}/glest/

# Wrapper
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/glest

# Desktop file
cat > glest.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Glest
Comment=Real Time Strategy game
Exec=glest
Icon=%{_datadir}/glest/glest-0.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame;
EOF
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        glest.desktop



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/README.linux docs/license.txt
%{_bindir}/glest
%{_datadir}/applications/*.desktop
%{_libexecdir}/glest
%{_datadir}/glest


%changelog
* Wed Dec 20 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-5
- require glx-utils, glxinfo is used in the wrapper script
- don't try to update the configuration on startup

* Mon Dec 18 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-4
- fix launch script to detect if shadows must be turned off

* Thu Dec 14 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-3
- Does not work on PPC yet, ExcludeArch it.

* Mon Nov 27 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-2
- fix description

* Wed Jul 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-1
- initial package
